Page MenuHomePhabricator

remove mira wikitech grants
Closed, ResolvedPublic

Description

system mira has been decommissioned on T164588. After a quick IRC chat with @jcrespo, we agreed I'd create this task for DBA followup and removal of the mira grants on the databases.

Details

Related Gerrit Patches:
operations/puppet : productionwikitech.pp: Remove mira

Related Objects

StatusAssignedTask
ResolvedRobH
ResolvedMarostegui

Event Timeline

RobH created this task.May 10 2017, 5:57 PM
RobH mentioned this in T164588: decom mira.

Change 353224 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] wikitech.pp: Remove mira

https://gerrit.wikimedia.org/r/353224

Mentioned in SAL (#wikimedia-operations) [2017-05-11T06:30:48Z] <marostegui> Drop mira user on wikitech database - T164968

Marostegui closed this task as Resolved.May 11 2017, 6:33 AM
Marostegui claimed this task.
Marostegui added a subscriber: Marostegui.

I have dropped the mira user on silver (I have saved this info just in case we need to recreate it because something else has broken, but unlikely):

mysql:root@localhost [(none)]> show grants for 'wikiadmin'@'10.192.16.132';
+----------------------------------------------------------------------------------------------------------------------+
| Grants for wikiadmin@10.192.16.132                                                                                   |
+----------------------------------------------------------------------------------------------------------------------+
| GRANT USAGE ON *.* TO 'wikiadmin'@'10.192.16.132' IDENTIFIED BY PASSWORD 'xxx' |
| GRANT ALL PRIVILEGES ON `labswiki`.* TO 'wikiadmin'@'10.192.16.132'                                                  |
+----------------------------------------------------------------------------------------------------------------------+

mysql:root@localhost [(none)]> drop user 'wikiadmin'@'10.192.16.132';
Query OK, 0 rows affected (0.12 sec)

mysql:root@localhost [(none)]> show grants for 'wikiadmin'@'10.192.16.132';

That was mira's IP according to: https://gerrit.wikimedia.org/r/#/c/353131/1/templates/wmnet

There was no entry for this IP/hostname anywhere else on puppet apart from the patch I sent earlier.
silver doesn't have any slave eithers, so I assume this is the only place where the wikitech DB lives?
I think we can resolve this. Please reopen if there is another host where this user might exist.

Change 353224 abandoned by Marostegui:
wikitech.pp: Remove mira

Reason:
Done by moritzm: https://gerrit.wikimedia.org/r/#/c/353264/

https://gerrit.wikimedia.org/r/353224